## org.apache.bcel.generic
Interface StackConsumer

All Known Subinterfaces:
  PopInstruction

All Known Implementing Classes:
  ConversionInstruction, ArithmeticInstruction, IfInstruction, FCMPG, INSTANCEOF, GETFIELD, DCMPL, CASTORE, InvokeInstruction, SWAP, FCMPL, MONITORENTER, ReturnInstruction, AASTORE, FASTORE, SASTORE, CHECKCAST, DASTORE, IASTORE, MONITOREXIT, LASTORE, BASTORE, DCMPG

public interface StackConsumer

Denote an instruction that may consume a value from the stack.

Version:
  $Id: StackConsumer.java,v 1.1.1.1 2001/10/29 20:00:27 jvanzyl Exp $
Author:
  M. Dahm

Method Summary
`int` `consumeStack(ConstantPoolGen cpg)`

Method Detail

### consumeStack

    public int consumeStack(ConstantPoolGen cpg)

  Returns:
    how many words are consumed from stack